apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: outline
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: 'https://community-charts.github.io/helm-charts/'
    targetRevision: 0.*.*
    helm:
      parameters:
        - name: 'ingress.enabled'
          value: 'true'
        - name: ingress.hosts[0].host
          value: 'outline.innovation-hub-niedersachsen.de'
        - name: ingress.hosts[0].paths[0].path
          value: / 
        - name: ingress.hosts[0].paths[0].pathType
          value: ImplementationSpecific  
        - name: 'ingress.tls[0].hosts[0]'
          value: 'outline.innovation-hub-niedersachsen.de'
        - name: 'ingress.tls[0].secretName'
          value: outline-tls
        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.entrypoints
          value: websecure
        - name: ingress.annotations.kubernetes\.io\/ingress\.class
          value: traefik
        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.tls
          value: 'true'
          forceString: true
        - name: ingress.annotations.cert-manager\.io\/cluster-issuer
          value: lets-encrypt
        - name: postgresql.enabled
          value: 'true'
        - name: postgresql.auth.database
          value: "outline"
        - name: postgresql.auth.password
          value: "outline"
        - name: postgresql.auth.username
          value: "outline"    
        - name: redis.enabled
          value: 'true' 
        - name: strategy.type
          value: 'Recreate'
        - name: auth.gitea.enabled
          value: 'true'
        - name: auth.gitea.clientId
          value: '6a4fcc2d-c9ac-4836-8ec1-2fb80c1d8d0c'
        - name: auth.gitea.clientSecret
          value: 'gto_jnicmkkh4bxzrps2banmo5du3424nrxz5mqv5utm4airh56y2oua'    
        - name: auth.gitea.baseUrl
          value: 'https://gitea.innovation-hub-niedersachsen.de'
        - name: smtp.host
          value: 'mail.innovation-hub-niedersachsen.de'
        - name: smtp.port
          value: '25'
        - name: fileStorage.local.persistence.enabled
          value: 'true'
        - name: secretKey
          value: 'ffbb1a261f91dba053b5af848f801d85937535497d58bdfc5f0c145c55f53e66' 
        - name: smtp.secure
          value: 'false' 
    chart: outline
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: outline
  syncPolicy: 
    managedNamespaceMetadata:
      labels: 
        pod-security.kubernetes.io/enforce: "privileged"
    automated:
      selfHeal: true
      prune: true
    syncOptions:
      - CreateNamespace=true
